<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free/css/all.css">
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css">
    <script src="node_modules/jquery/dist/jquery.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>SHIP js-tree Library</title>
  </head>
  <style>
    main {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      width: 50%;
    }
    main > * {
      margin-bottom: 20px;
    }
  </style>
  <header class="p-2 d-flex w-100 flex-row-reverse">
    <select name="lang" id="lang-select" class="form-select" style="width: 300px">
      <option value="de">Deutsch</option>
      <option value="en">English</option>
    </select>
    <button id="delete-btn" class="btn btn-outline-danger m-2" type="button"> 
      <i class="fa-solid fa-trash-can"></i>
    </button>
  </header>
  <body class="d-flex flex-column justify-content-center align-items-center p-lg-3">
    <h1>SHIP js-tree Library</h1>
    <main class="d-flex flex-column align-items-start">
      <div class="d-flex w-100 align-items-center">
        <select id="jstree-filter-select" class="form-select" placeholder="Filter"></select>
        <button id="jstree-collapse-btn" class="btn btn-outline-primary m-2" type="button"> 
          <i class="fa-solid fa-down-left-and-up-right-to-center"></i>  
        </button>
        <button id="jstree-refresh-btn" class="btn btn-outline-primary m-2" type="button"> 
          <i class="fa-solid fa-rotate-right"></i>
        </button>
      </div>
      <div id="jstree-wrapper" class="border p-3 w-100"></div>
      <script type="module" src="src/app.ts"></script>
    </main>
  </body>
</html>
